Subject: Re: [PATCH 1/4] e1000e: Fix jumbo frame receive code.

From: "Kok, Auke" <[email-masked]>
Date: Thu, 25 Oct 2007 14:05:41 -0700

Auke Kok wrote:
> Fix allocation and freeing of jumbo frames where several bugs
> were recently introduced by cleanups after we forked this code
> from e1000. This moves ps_pages to buffer_info where it really
> belongs and makes it a dynamically allocated array. The penalty
> is not that high since it's allocated outside of the buffer_info
> struct anyway.
> 
> Without this patch all jumbo frames are completely broken and the
> driver panics.

Jeff,

I strongly suggest that you apply patches #1 and #2 (but preferably all) to
#upstream-fixes since these patches fix the -absolutely- broken jumbo frames code
in e1000e. On top of that patches #1 and #2 only touch the jumbo frame codepath,
so the impact is zero to the normal way people use these cards.

patch #3 is an optimization, patch #4 is mostly cosmetical.

Cheers,

Auke